POST api/FamilyRelationships

Creates a new family relationship or update an existent family relationship's information.

Request Information

URI Parameters

None.

Body Parameters

FamilyRelationshipModel
NameDescriptionTypeAdditional information
Name

Name of the family relationship (Required).

string

None.

SortOrder

Sort order of the family relationship.

integer

None.

IsDefault

Indicates whether the family relationship is default or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "sortOrder": 2,
  "isDefault": true,
  "id": "4fe3e65e-7a0c-42ca-b9c5-e0e19c5acc06",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<FamilyRelationshipModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyRelationships">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">4fe3e65e-7a0c-42ca-b9c5-e0e19c5acc06</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>2</SortOrder>
</FamilyRelationshipModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'FamilyRelationshipModel'.

Response Information

Resource Description

FamilyRelationshipModel
NameDescriptionTypeAdditional information
Name

Name of the family relationship (Required).

string

None.

SortOrder

Sort order of the family relationship.

integer

None.

IsDefault

Indicates whether the family relationship is default or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "sortOrder": 2,
  "isDefault": true,
  "id": "ff1925ea-e8b1-4d7b-8968-8e619caa96fa",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<FamilyRelationshipModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyRelationships">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">ff1925ea-e8b1-4d7b-8968-8e619caa96fa</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>2</SortOrder>
</FamilyRelationshipModel>